cURL
curl --request POST \ --url https://api.example.com/api/conversations/{conversation_id}/security_analyzer \ --header 'Content-Type: application/json' \ --data ' { "security_analyzer": { "history_limit": 20, "max_message_chars": 30000, "timeout": 30, "low_threshold": 0.3, "medium_threshold": 0.7, "api_url": "https://api.grayswan.ai/cygnal/monitor", "api_key": "<string>", "policy_id": "<string>", "kind": "<string>" } } '
{ "success": true }
Set the security analyzer for a conversation.
Documentation IndexFetch the complete documentation index at: https://allhandsai-add-analytics-domain.mintlify.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://allhandsai-add-analytics-domain.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Payload to set security analyzer for a conversation
The security analyzer to set
Show child attributes
Successful Response
Was this page helpful?